(self["webpackChunkpyramid_mobile_webpack"] = self["webpackChunkpyramid_mobile_webpack"] || []).push([["src_pages_invoice_index_tsx"],{

/***/ "./src/pages/invoice/index.tsx":
/*!*************************************!*\
  !*** ./src/pages/invoice/index.tsx ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var antd_mobile_es_toast_style__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! antd-mobile/es/toast/style */ "./node_modules/antd-mobile/es/toast/style/index.js");
/* harmony import */ var antd_mobile_es_toast__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! antd-mobile/es/toast */ "./node_modules/antd-mobile/es/toast/index.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react */ "react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @/utils */ "./src/utils/index.ts");
/* harmony import */ var _core__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @/core */ "./src/core/index.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @/components */ "./src/components/index.ts");
/* harmony import */ var _pages_orderInfo_components_billingInfoModal__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @/pages/orderInfo/components/billingInfoModal */ "./src/pages/orderInfo/components/billingInfoModal/index.tsx");



function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }






var _filehash = "aepf";

var Component = function Component(props) {
  var _useState = (0,react__WEBPACK_IMPORTED_MODULE_2__.useState)(),
      _useState2 = _slicedToArray(_useState, 2),
      info = _useState2[0],
      setInfo = _useState2[1];

  (0,react__WEBPACK_IMPORTED_MODULE_2__.useEffect)(function () {
    /** 获取发票信息 */
    antd_mobile_es_toast__WEBPACK_IMPORTED_MODULE_1__.default.loading('加载中', 10);

    _utils__WEBPACK_IMPORTED_MODULE_3__.httpUtil.get(_core__WEBPACK_IMPORTED_MODULE_4__.httpUrl.getUserInvoiceInfo, null).then(function (res) {
      if (res.data.code === 200) {
        if (res.data.data) {
          var _res$data$data = res.data.data,
              contact = _res$data$data.contact,
              invoiceTitle = _res$data$data.invoiceTitle,
              email = _res$data$data.email,
              mobile = _res$data$data.mobile;
          setInfo({
            invoiceContact: contact,
            invoiceTitle: invoiceTitle,
            invoiceEmail: email,
            invoiceMobile: mobile
          });
        }

        antd_mobile_es_toast__WEBPACK_IMPORTED_MODULE_1__.default.hide();

        return;
      }

      antd_mobile_es_toast__WEBPACK_IMPORTED_MODULE_1__.default.hide();

      antd_mobile_es_toast__WEBPACK_IMPORTED_MODULE_1__.default.fail('请求失败, 请稍后重试', 2);
    });
  }, []);
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_2___default().createElement((react__WEBPACK_IMPORTED_MODULE_2___default().Fragment), null, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_2___default().createElement(_components__WEBPACK_IMPORTED_MODULE_5__.GogNavBar, {
    title: '开票信息',
    _nk: "".concat(_filehash, "11")
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_2___default().createElement(_pages_orderInfo_components_billingInfoModal__WEBPACK_IMPORTED_MODULE_6__.default, {
    info: info,
    onClose: function onClose() {},
    onSubmit: function onSubmit(filedValue) {
      var invoiceContact = filedValue.invoiceContact,
          invoiceEmail = filedValue.invoiceEmail,
          invoiceMobile = filedValue.invoiceMobile,
          invoiceTitle = filedValue.invoiceTitle;

      if (invoiceTitle.trim() === '') {
        antd_mobile_es_toast__WEBPACK_IMPORTED_MODULE_1__.default.fail('发票抬头不能为空');

        return;
      } else if (invoiceTitle.length > 50) {
        antd_mobile_es_toast__WEBPACK_IMPORTED_MODULE_1__.default.fail('发票抬头不能超过50个字符');

        return;
      }

      if (!/^[\u4e00-\u9fa5a-zA-Z ·]*$/.test(invoiceContact)) {
        antd_mobile_es_toast__WEBPACK_IMPORTED_MODULE_1__.default.fail('联系人格式不正确');

        return;
      }

      if (!new RegExp('^1[3456789]\\d{9}$').test(invoiceMobile)) {
        antd_mobile_es_toast__WEBPACK_IMPORTED_MODULE_1__.default.fail('手机号格式不正确');

        return;
      }

      if (!new RegExp('^([a-z0-9A-Z]+[-|\\.|\\_]?)+[a-z0-9A-Z]@([a-z0-9A-Z]+(-[a-z0-9A-Z]+)?\\.)+[a-zA-Z]{2,}$').test(invoiceEmail)) {
        antd_mobile_es_toast__WEBPACK_IMPORTED_MODULE_1__.default.fail('电子邮箱格式不正确');

        return;
      }

      antd_mobile_es_toast__WEBPACK_IMPORTED_MODULE_1__.default.loading('提交中', 10);

      _utils__WEBPACK_IMPORTED_MODULE_3__.httpUtil.post(_core__WEBPACK_IMPORTED_MODULE_4__.httpUrl.dealUserInvoiceInfo, {
        contact: invoiceContact,
        invoiceTitle: invoiceTitle,
        email: invoiceEmail,
        mobile: invoiceMobile
      }).then(function (res) {
        if (res.data.code === 200) {
          antd_mobile_es_toast__WEBPACK_IMPORTED_MODULE_1__.default.hide();

          antd_mobile_es_toast__WEBPACK_IMPORTED_MODULE_1__.default.info('保存成功', 2);

          return;
        }

        antd_mobile_es_toast__WEBPACK_IMPORTED_MODULE_1__.default.hide();

        antd_mobile_es_toast__WEBPACK_IMPORTED_MODULE_1__.default.fail('提交失败, 请稍后重试', 2);
      });
    },
    visible: true,
    _nk: "".concat(_filehash, "21")
  }));
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Component);

/***/ }),

/***/ "./src/pages/orderInfo/components/billingInfoModal/index.tsx":
/*!*******************************************************************!*\
  !*** ./src/pages/orderInfo/components/billingInfoModal/index.tsx ***!
  \*******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var antd_mobile_es_modal_style__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! antd-mobile/es/modal/style */ "./node_modules/antd-mobile/es/modal/style/index.js");
/* harmony import */ var antd_mobile_es_modal__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! antd-mobile/es/modal */ "./node_modules/antd-mobile/es/modal/index.js");
/* harmony import */ var antd_mobile_es_wing_blank_style__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! antd-mobile/es/wing-blank/style */ "./node_modules/antd-mobile/es/wing-blank/style/index.js");
/* harmony import */ var antd_mobile_es_wing_blank__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! antd-mobile/es/wing-blank */ "./node_modules/antd-mobile/es/wing-blank/index.js");
/* harmony import */ var antd_mobile_es_button_style__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! antd-mobile/es/button/style */ "./node_modules/antd-mobile/es/button/style/index.js");
/* harmony import */ var antd_mobile_es_button__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! antd-mobile/es/button */ "./node_modules/antd-mobile/es/button/index.js");
/* harmony import */ var antd_mobile_es_white_space_style__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! antd-mobile/es/white-space/style */ "./node_modules/antd-mobile/es/white-space/style/index.js");
/* harmony import */ var antd_mobile_es_white_space__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! antd-mobile/es/white-space */ "./node_modules/antd-mobile/es/white-space/index.js");
/* harmony import */ var antd_mobile_es_list_style__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! antd-mobile/es/list/style */ "./node_modules/antd-mobile/es/list/style/index.js");
/* harmony import */ var antd_mobile_es_list__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! antd-mobile/es/list */ "./node_modules/antd-mobile/es/list/index.js");
/* harmony import */ var antd_mobile_es_input_item_style__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! antd-mobile/es/input-item/style */ "./node_modules/antd-mobile/es/input-item/style/index.js");
/* harmony import */ var antd_mobile_es_input_item__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! antd-mobile/es/input-item */ "./node_modules/antd-mobile/es/input-item/index.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! react */ "react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_12___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_12__);













function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }


var _filehash = "42nE";

var Component = function Component(props) {
  var _useState = (0,react__WEBPACK_IMPORTED_MODULE_12__.useState)(props.visible),
      _useState2 = _slicedToArray(_useState, 2),
      visible = _useState2[0],
      setVisible = _useState2[1]; // 表单信息 发票抬头 联系人 手机号 邮箱


  var _useState3 = (0,react__WEBPACK_IMPORTED_MODULE_12__.useState)({
    invoiceTitle: '',
    invoiceContact: '',
    invoiceMobile: '',
    invoiceEmail: ''
  }),
      _useState4 = _slicedToArray(_useState3, 2),
      invoiceVal = _useState4[0],
      setInvoiceVal = _useState4[1];

  var _onClose = props.onClose,
      onSubmit = props.onSubmit,
      isModal = props.isModal;
  (0,react__WEBPACK_IMPORTED_MODULE_12__.useEffect)(function () {
    if (props.info) {
      setInvoiceVal({
        invoiceTitle: props.info.invoiceTitle || '',
        invoiceContact: props.info.invoiceContact || '',
        invoiceMobile: props.info.invoiceMobile || '',
        invoiceEmail: props.info.invoiceEmail || ''
      });
    }
  }, [props.info]);

  var submit = function submit() {
    /* validateFields((err, filedValue) => {
        if (err) { return; }
        setVisible(false);
        setTimeout(() => {
            onSubmit(filedValue);
        }, 500);
    }); */
    setVisible(false);
    setTimeout(function () {
      onSubmit(invoiceVal);
    }, 500);
  };

  var setFormInput = function setFormInput(key, val) {
    setInvoiceVal(_objectSpread(_objectSpread({}, invoiceVal), {}, _defineProperty({}, key, val)));
  };

  var getForm = function getForm() {
    return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default().createElement("div", {
      _nk: "".concat(_filehash, "11")
    }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default().createElement(antd_mobile_es_list__WEBPACK_IMPORTED_MODULE_9__.default, {
      _nk: "".concat(_filehash, "21")
    }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default().createElement(antd_mobile_es_input_item__WEBPACK_IMPORTED_MODULE_11__.default, {
      placeholder: "\u8BF7\u8F93\u5165",
      value: invoiceVal.invoiceTitle,
      onInput: function onInput(e) {
        setFormInput('invoiceTitle', e.target.value);
      },
      _nk: "".concat(_filehash, "31")
    }, "\u53D1\u7968\u62AC\u5934"), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default().createElement(antd_mobile_es_input_item__WEBPACK_IMPORTED_MODULE_11__.default, {
      placeholder: "\u8BF7\u8F93\u5165",
      value: invoiceVal.invoiceContact,
      onInput: function onInput(e) {
        setFormInput('invoiceContact', e.target.value);
      },
      _nk: "".concat(_filehash, "32")
    }, "\u8054\u7CFB\u4EBA"), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default().createElement(antd_mobile_es_input_item__WEBPACK_IMPORTED_MODULE_11__.default, {
      placeholder: "\u8BF7\u8F93\u5165",
      value: invoiceVal.invoiceMobile,
      onInput: function onInput(e) {
        setFormInput('invoiceMobile', e.target.value);
      },
      _nk: "".concat(_filehash, "33")
    }, "\u624B\u673A\u53F7"), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default().createElement(antd_mobile_es_input_item__WEBPACK_IMPORTED_MODULE_11__.default, {
      placeholder: "\u8BF7\u8F93\u5165",
      value: invoiceVal.invoiceEmail,
      onInput: function onInput(e) {
        setFormInput('invoiceEmail', e.target.value);
      },
      _nk: "".concat(_filehash, "34")
    }, "\u7535\u5B50\u90AE\u7BB1")), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default().createElement(antd_mobile_es_white_space__WEBPACK_IMPORTED_MODULE_7__.default, {
      size: "xl",
      _nk: "".concat(_filehash, "41")
    }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default().createElement(antd_mobile_es_wing_blank__WEBPACK_IMPORTED_MODULE_3__.default, {
      size: "md",
      _nk: "".concat(_filehash, "51")
    }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default().createElement(antd_mobile_es_button__WEBPACK_IMPORTED_MODULE_5__.default, {
      type: 'primary',
      onClick: submit,
      _nk: "".concat(_filehash, "61")
    }, "\u4FDD\u5B58")), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default().createElement(antd_mobile_es_white_space__WEBPACK_IMPORTED_MODULE_7__.default, {
      size: "xl",
      _nk: "".concat(_filehash, "42")
    }));
  };

  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default().createElement((react__WEBPACK_IMPORTED_MODULE_12___default().Fragment), null, isModal ? /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default().createElement(antd_mobile_es_modal__WEBPACK_IMPORTED_MODULE_1__.default, {
    popup: true,
    visible: visible,
    title: '开票信息',
    onClose: function onClose() {
      setVisible(false);
      setTimeout(function () {
        _onClose();
      }, 500);
    },
    animationType: "slide-up",
    _nk: "".concat(_filehash, "71")
  }, getForm()) : getForm());
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Component);
/* Form.create<IProps>(Component as any); */

/***/ })

}]);
//# sourceMappingURL=src_pages_invoice_index_tsx.7661ef7e98ecf3787a3a.js.map