(self["webpackChunkpyramid_mobile_webpack"] = self["webpackChunkpyramid_mobile_webpack"] || []).push([["vendors-node_modules_onebuy_sdk_es_index_js"],{

/***/ "./node_modules/@onebuy/sdk/es/index.js":
/*!**********************************************!*\
  !*** ./node_modules/@onebuy/sdk/es/index.js ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Sdk": () => (/* reexport safe */ _sdk__WEBPACK_IMPORTED_MODULE_0__.Sdk),
/* harmony export */   "EPlatform": () => (/* reexport safe */ _platform__WEBPACK_IMPORTED_MODULE_1__.EPlatform),
/* harmony export */   "platform": () => (/* reexport safe */ _platform__WEBPACK_IMPORTED_MODULE_1__.platform),
/* harmony export */   "on": () => (/* binding */ on)
/* harmony export */ });
/* harmony import */ var _sdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./sdk */ "./node_modules/@onebuy/sdk/es/sdk.js");
/* harmony import */ var _platform__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./platform */ "./node_modules/@onebuy/sdk/es/platform.js");



var on = new _sdk__WEBPACK_IMPORTED_MODULE_0__.Sdk();


/***/ }),

/***/ "./node_modules/@onebuy/sdk/es/platform.js":
/*!*************************************************!*\
  !*** ./node_modules/@onebuy/sdk/es/platform.js ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "EPlatform": () => (/* binding */ EPlatform),
/* harmony export */   "platform": () => (/* binding */ platform)
/* harmony export */ });
/** 平台枚举 */
var EPlatform;

(function (EPlatform) {
  /** web 网页 */
  EPlatform["WEB"] = "web";
  /** 安卓 app */

  EPlatform["ANDROID"] = "android";
  /** IOS app */

  EPlatform["IOS"] = "ios";
  /** 微信网页（公众号） */

  EPlatform["WECHAT"] = "wechat";
  /** 微信小程序 */

  EPlatform["MINIPROGRAM"] = "miniprogram";
  /** 客户端开发工具 */

  EPlatform["CLIENT"] = "client";
  /** 支付宝小程序 */

  EPlatform["ALIPAY"] = "alipay";
  /** 云闪付 */

  EPlatform["UNIONPAY"] = "unionpay";
})(EPlatform || (EPlatform = {}));
/** 平台名称 */


var platform = function () {
  var userAgent = navigator.userAgent;
  var wxUserAgent = navigator;

  if (userAgent.toLowerCase().indexOf('micromessenger') > -1 || typeof wxUserAgent.wxuserAgent !== 'undefined') {
    if (userAgent.toLowerCase().indexOf('miniprogram') > -1) {
      return EPlatform.MINIPROGRAM;
    } else {
      return EPlatform.WECHAT;
    }
  } else if (userAgent.toLowerCase().indexOf('alipay') > -1) {
    return EPlatform.ALIPAY;
  } else if (userAgent.indexOf('@pyramid-kit/mobile-eco/android') !== -1) {
    return EPlatform.ANDROID;
  } else if (userAgent.indexOf('@pyramid-kit/mobile-eco/ios') !== -1) {
    return EPlatform.IOS;
  } else if (userAgent.indexOf('@pyramid-kit/mobile-eco/electron') !== -1) {
    return EPlatform.CLIENT;
  } else if (userAgent.toLowerCase().indexOf('unionpay') > -1) {
    return EPlatform.UNIONPAY;
  } else {
    return EPlatform.WEB;
  }
}();

/***/ }),

/***/ "./node_modules/@onebuy/sdk/es/sdk.js":
/*!********************************************!*\
  !*** ./node_modules/@onebuy/sdk/es/sdk.js ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Sdk": () => (/* binding */ Sdk)
/* harmony export */ });
/* harmony import */ var _platform__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./platform */ "./node_modules/@onebuy/sdk/es/platform.js");
/* harmony import */ var _types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./types */ "./node_modules/@onebuy/sdk/es/types.js");
/* harmony import */ var _onebuy_util__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @onebuy/util */ "./node_modules/@onebuy/util/es/index.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }





var wx = __webpack_require__(/*! weixin-js-sdk */ "./node_modules/weixin-js-sdk/index.js");

var Sdk = /*#__PURE__*/function () {
  function Sdk() {
    var _this = this;

    _classCallCheck(this, Sdk);

    // 方法调用栈
    this.invokeStacks = {};
    /**
     * 生成分享二维码
     * @param url
     */

    this.qrCode = function (url) {
      switch (_platform__WEBPACK_IMPORTED_MODULE_0__.platform) {
        case _platform__WEBPACK_IMPORTED_MODULE_0__.EPlatform.MINIPROGRAM:
          wx.miniProgram.navigateTo({
            url: '/pages/qrCode/index?url=' + url
          });
          break;
      }
    }; // 添加事件监听，处理原生响应


    window.addEventListener('message', function (e) {
      var _data$value, _data$result;

      try {
        var json = e.data; // console.log('json :>> ', json);

        var success = json.success,
            type = json.type,
            code = json.code,
            data = json.data,
            msg = json.msg;

        if (typeof type === 'string') {
          if (type === _types__WEBPACK_IMPORTED_MODULE_1__.EActionType.onShow) {
            var _this$onShowCallback;

            (_this$onShowCallback = _this.onShowCallback) === null || _this$onShowCallback === void 0 ? void 0 : _this$onShowCallback.call(_this);
            return;
          }

          var stacks = _this.invokeStacks[json.type];

          if (Array.isArray(stacks)) {
            // 先进先出、后进后出
            var fn = stacks.shift();

            if (fn) {
              var value = data; // 特殊返回处理

              switch (type) {
                case _types__WEBPACK_IMPORTED_MODULE_1__.EActionType.getStorage:
                  value = (_data$value = data === null || data === void 0 ? void 0 : data.value) !== null && _data$value !== void 0 ? _data$value : null;
                  break;

                case _types__WEBPACK_IMPORTED_MODULE_1__.EActionType.scanCode:
                  value = (_data$result = data === null || data === void 0 ? void 0 : data.result) !== null && _data$result !== void 0 ? _data$result : null;
                  break;
              }

              fn.call(null, {
                success: success,
                code: code,
                data: value,
                msg: msg
              });
            }
          } else {// console.error(`${type} 调用栈不存在！`);
          }
        }
      } catch (e) {
        console.error(e);
      }
    });
  } // 调用原生方法


  _createClass(Sdk, [{
    key: "invokeNativeMethod",
    value: function invokeNativeMethod(_ref) {
      var type = _ref.type,
          payload = _ref.payload;

      // window.postMessage(JSON.stringify(action), '*');
      // console.log('platform :>> ', platform);
      switch (_platform__WEBPACK_IMPORTED_MODULE_0__.platform) {
        case _platform__WEBPACK_IMPORTED_MODULE_0__.EPlatform.ANDROID:
          try {
            if (payload) {
              window.android[type](JSON.stringify(payload));
            } else {
              window.android[type]();
            }
          } catch (_unused) {}

          break;

        case _platform__WEBPACK_IMPORTED_MODULE_0__.EPlatform.IOS:
          try {
            window.webkit.messageHandlers[type].postMessage(payload);
          } catch (_unused2) {}

          break;
        // electron

        case _platform__WEBPACK_IMPORTED_MODULE_0__.EPlatform.CLIENT:
          // console.log('window.$onebuy :>> ', (window as any).$onebuy, type, payload);
          try {
            window.$onebuy[type](payload);
          } catch (_unused3) {}

          break;
      } // 10 秒后如果 api 没有响应，则自动超时


      setTimeout(function () {
        window.postMessage({
          type: type,
          success: false,
          code: 504,
          data: null,
          msg: 'Request Timeout'
        }, '*');
      }, 10000);
    } // action 处理

  }, {
    key: "handleAction",
    value: function handleAction(action) {
      var _this2 = this;

      console.log('【action】', action);
      return new Promise(function (resolve, reject) {
        if (_platform__WEBPACK_IMPORTED_MODULE_0__.platform === _platform__WEBPACK_IMPORTED_MODULE_0__.EPlatform.WEB) {
          reject('请在手机app中查看');
        }

        _this2.invokeNativeMethod(action);

        var stacks = _this2.invokeStacks[action.type];

        var callback = function callback(res) {
          var success = res.success,
              code = res.code,
              data = res.data,
              msg = res.msg;

          if (success || code === 200) {
            resolve(data);
          } else {
            reject({
              code: code,
              msg: msg
            });
          }
        };

        if (Array.isArray(stacks)) {
          stacks.push(callback);
        } else {
          _this2.invokeStacks[action.type] = [callback];
        }
      });
    }
    /**
     * 获取 app 信息
     */

  }, {
    key: "getAppInfo",
    value: function getAppInfo() {
      // return this.handleAction({ type: EActionType.getAppInfo });
      return this.handleAction({
        type: _types__WEBPACK_IMPORTED_MODULE_1__.EActionType.getStorage,
        payload: {
          key: _types__WEBPACK_IMPORTED_MODULE_1__.ENativeStorage.subAppInfo
        }
      }).then(function (res) {
        return Promise.resolve(res ? JSON.parse(res) : undefined);
      });
    }
  }, {
    key: "getDefaultNavigateParams",
    value: function getDefaultNavigateParams() {
      var userAgent = navigator.userAgent;

      if (userAgent.indexOf('/onebuy_mini') !== -1) {
        return {
          appType: 'mini'
        };
      } else if (userAgent.indexOf('/onebuy_web') !== -1) {
        return {
          appType: 'web'
        };
      }

      return {};
    }
    /**
     * 原生路由跳转
     * @param payload
     */

  }, {
    key: "navigateTo",
    value: function navigateTo(payload) {
      if (payload.pathname && !payload.pathname.startsWith('http') && !payload.pathname.startsWith('https')) {
        payload.pathname = "".concat(location.origin).concat(location.pathname).concat(location.hash ? '#' : '').concat(payload.pathname);
      }

      var userAgent = navigator.userAgent;
      payload.statusBarStyle = payload.statusBarStyle || 'dark';
      payload.navigationBarStyle = payload.navigationBarStyle || 'default';

      if (userAgent.indexOf('/onebuy_mini') !== -1) {
        // mini
        this.handleAction({
          type: _types__WEBPACK_IMPORTED_MODULE_1__.EActionType.navigateTo,
          payload: Object.assign(this.getDefaultNavigateParams(), payload)
        });
        return;
      } else if (userAgent.indexOf('/onebuy_web') !== -1) {
        // web
        this.handleAction({
          type: _types__WEBPACK_IMPORTED_MODULE_1__.EActionType.pushWebViewController,
          payload: Object.assign(this.getDefaultNavigateParams(), {
            openUrl: payload.pathname,
            statusBarStyle: payload.statusBarStyle,
            navigationBarStyle: payload.navigationBarStyle
          })
        });
        return;
      } else {
        this.invokeNativeMethod({
          type: _types__WEBPACK_IMPORTED_MODULE_1__.EActionType.openMainPage,
          payload: {
            openUrl: payload.pathname,
            statusBarStyle: payload.statusBarStyle,
            navigationBarStyle: payload.navigationBarStyle
          }
        });
      }
    }
    /**
     * 原生路由跳转（重定向方式）
     * @param payload
     */

  }, {
    key: "redirectTo",
    value: function redirectTo(payload) {
      this.handleAction({
        type: _types__WEBPACK_IMPORTED_MODULE_1__.EActionType.redirectTo,
        payload: Object.assign(this.getDefaultNavigateParams(), payload)
      });
    }
    /**
     * 原生路由返回
     * @param payload 返回时转递的数据
     */

  }, {
    key: "navigateBack",
    value: function navigateBack(payload) {
      this.handleAction({
        type: _types__WEBPACK_IMPORTED_MODULE_1__.EActionType.navigateBack,
        payload: payload
      });
    }
    /**
     * 关闭除当前原生路由以外的其他路由
     */

  }, {
    key: "clearOtherNavigate",
    value: function clearOtherNavigate() {
      this.handleAction({
        type: _types__WEBPACK_IMPORTED_MODULE_1__.EActionType.clearOtherNavigate
      });
    }
    /**
     * 登录授权
     */

  }, {
    key: "login",
    value: function login(params) {
      if (!params) {
        return;
      }

      var oauth2Url = params.oauth2Url,
          redirect_url = params.redirect_url,
          endpointCode = params.endpointCode,
          scope = params.scope;

      if (!redirect_url || !endpointCode || !scope) {
        return;
      }

      switch (_platform__WEBPACK_IMPORTED_MODULE_0__.platform) {
        case _platform__WEBPACK_IMPORTED_MODULE_0__.EPlatform.MINIPROGRAM:
          wx.miniProgram.redirectTo({
            url: "/pages/oauth2/index?redirect_url=".concat(redirect_url, "&endpointCode=").concat(endpointCode, "&scope=").concat(scope)
          });
          break;

        case _platform__WEBPACK_IMPORTED_MODULE_0__.EPlatform.UNIONPAY:
          if (!oauth2Url) {
            return;
          }

          window.location.replace("".concat(oauth2Url, "?endpointCode=").concat(endpointCode, "&redirect_url=").concat(redirect_url, "&scope=").concat(scope, "&sourceType=9"));
          break;

        case _platform__WEBPACK_IMPORTED_MODULE_0__.EPlatform.IOS:
          window.webkit.messageHandlers["lightAppOauth2"].postMessage({
            endpointCode: endpointCode,
            redirect_url: redirect_url,
            scope: scope
          });
          break;

        case _platform__WEBPACK_IMPORTED_MODULE_0__.EPlatform.ANDROID:
          window.android["lightAppOauth2"](JSON.stringify({
            endpointCode: endpointCode,
            redirect_url: redirect_url,
            scope: scope
          }));
          break;

        case _platform__WEBPACK_IMPORTED_MODULE_0__.EPlatform.CLIENT:
          window.$onebuy.toOAuth2({
            redirect_url: redirect_url,
            scope: scope,
            endpointCode: endpointCode
          });
          break;
      } // return new Promise((resolve, reject) => {
      //   this.getAppInfo().then(appInfo => {
      //     if (appInfo) {
      //       const params = {
      //         endpoint: appInfo.endpointCode,
      //         qic: appInfo.appKey,
      //         t: Date.now()
      //       };
      //       const query = Object.entries(params).map(([key, val]) => `${key}=${val}`).join('&');
      //       fetch(`${appInfo.oAuthDomain}/api/minis/getCode?${query}`, {
      //         method: 'GET',
      //         headers: {
      //           systemType: 'min-app',
      //           Authorization: appInfo.onebuyToken
      //         },
      //       }).then(res => {
      //         // console.log('status :>> ', res.status);
      //         switch (res.status) {
      //           case 200:
      //             return res.json()
      //           case 401:
      //           case 402:
      //           case 406:
      //             this.navigateTo({ originPageName: 'login' });
      //             reject(`${res.status} ${res.statusText}`);
      //             break;
      //         }
      //       }).then(json => {
      //         // console.log('json :>> ', json);
      //         switch (json?.code) {
      //           case 200:
      //             resolve(json.data);
      //             break;
      //           case 201:
      //             this.navigateTo({ originPageName: 'login' });
      //             break;
      //           default:
      //             reject(json?.msg || 'ticket 获取失败！');
      //         }
      //       }).catch(reject);
      //     } else {
      //       reject('应用信息获取失败！');
      //     }
      //   }).catch(reject);
      // });

    }
    /**
     * 获取设备信息
     */

  }, {
    key: "getDeviceInfo",
    value: function getDeviceInfo() {
      return this.handleAction({
        type: _types__WEBPACK_IMPORTED_MODULE_1__.EActionType.getDeviceInfo
      });
    }
    /**
     * 设置状态栏样式
     * @param payload
     */

  }, {
    key: "setStatusBarStyle",
    value: function setStatusBarStyle(payload) {
      return this.handleAction({
        type: _types__WEBPACK_IMPORTED_MODULE_1__.EActionType.setStatusBarStyle,
        payload: payload
      });
    }
    /**
     * 设置导航栏样式
     * @param payload
     */

  }, {
    key: "setNavigationBarStyle",
    value: function setNavigationBarStyle(payload) {
      return this.handleAction({
        type: _types__WEBPACK_IMPORTED_MODULE_1__.EActionType.setNavigationBarStyle,
        payload: payload
      });
    }
    /**
     * 扫码
     */

  }, {
    key: "scanCode",
    value: function scanCode() {
      return this.handleAction({
        type: _types__WEBPACK_IMPORTED_MODULE_1__.EActionType.scanCode
      });
    }
    /**
     * 定位
     * @param options
     */

  }, {
    key: "getLocation",
    value: function getLocation(options) {
      var _options$type = options.type,
          type = _options$type === void 0 ? 'wgs84' : _options$type,
          _options$accuracy = options.accuracy,
          accuracy = _options$accuracy === void 0 ? 'battery_saving' : _options$accuracy;
      return this.handleAction({
        type: _types__WEBPACK_IMPORTED_MODULE_1__.EActionType.getLocation,
        payload: {
          type: type,
          accuracy: accuracy.split('_').map(function (v) {
            return "".concat(v[0].toUpperCase()).concat(v.substr(1));
          }).join('_')
        }
      });
    }
  }, {
    key: "onShow",
    value: function onShow(callback) {
      this.onShowCallback = callback;
    }
    /**
     * 检测Api是否能使用
     * @param api api名称
     */

  }, {
    key: "canIUse",
    value: function canIUse(api) {
      return Object.values(_types__WEBPACK_IMPORTED_MODULE_1__.EActionType).includes(api);
    }
    /**
     * 调用upp收银台
     */

  }, {
    key: "uppv2Pay",
    value: function uppv2Pay(cashdeskUrl, callbackPath) {
      switch (_platform__WEBPACK_IMPORTED_MODULE_0__.platform) {
        case _platform__WEBPACK_IMPORTED_MODULE_0__.EPlatform.ANDROID:
        case _platform__WEBPACK_IMPORTED_MODULE_0__.EPlatform.IOS:
          return this.invokeNativeMethod({
            type: _types__WEBPACK_IMPORTED_MODULE_1__.EActionType.uppv2Pay,
            payload: {
              cashdeskUrl: cashdeskUrl,
              callbackPath: callbackPath
            }
          });
      }
    }
    /**
     * 一码贵州UPP收银台支付
     */

  }, {
    key: "onebuyPay",
    value: function onebuyPay(cashdeskUrl, callbackPath) {
      var platformUrl;

      switch (_platform__WEBPACK_IMPORTED_MODULE_0__.platform) {
        case _platform__WEBPACK_IMPORTED_MODULE_0__.EPlatform.MINIPROGRAM:
          platformUrl = _onebuy_util__WEBPACK_IMPORTED_MODULE_2__.paramsUtils.append(cashdeskUrl, {
            platform: 'onebuy',
            applicationTypeCode: 'miniprogram',
            rebackUrl: encodeURIComponent(callbackPath)
          });
          window.location.href = platformUrl;
          break;

        case _platform__WEBPACK_IMPORTED_MODULE_0__.EPlatform.IOS:
          platformUrl = _onebuy_util__WEBPACK_IMPORTED_MODULE_2__.paramsUtils.append(cashdeskUrl, {
            platform: 'onebuy',
            applicationTypeCode: 'ios',
            rebackUrl: encodeURIComponent(callbackPath)
          });
          this.uppv2Pay(platformUrl, callbackPath);
          break;

        case _platform__WEBPACK_IMPORTED_MODULE_0__.EPlatform.ANDROID:
          platformUrl = _onebuy_util__WEBPACK_IMPORTED_MODULE_2__.paramsUtils.append(cashdeskUrl, {
            platform: 'onebuy',
            applicationTypeCode: 'android',
            rebackUrl: encodeURIComponent(callbackPath)
          });
          this.uppv2Pay(platformUrl, callbackPath);
          break;

        case _platform__WEBPACK_IMPORTED_MODULE_0__.EPlatform.ALIPAY:
          platformUrl = _onebuy_util__WEBPACK_IMPORTED_MODULE_2__.paramsUtils.append(cashdeskUrl, {
            platform: 'onebuy',
            applicationTypeCode: 'alipay',
            rebackUrl: encodeURIComponent(callbackPath)
          });
          window.location.replace(platformUrl);
          break;

        case _platform__WEBPACK_IMPORTED_MODULE_0__.EPlatform.WECHAT:
          platformUrl = _onebuy_util__WEBPACK_IMPORTED_MODULE_2__.paramsUtils.append(cashdeskUrl, {
            platform: 'onebuy',
            applicationTypeCode: 'wechat',
            rebackUrl: encodeURIComponent(callbackPath)
          });
          window.location.replace(platformUrl);
          break;

        case _platform__WEBPACK_IMPORTED_MODULE_0__.EPlatform.UNIONPAY:
          platformUrl = _onebuy_util__WEBPACK_IMPORTED_MODULE_2__.paramsUtils.append(cashdeskUrl, {
            platform: 'onebuy',
            applicationTypeCode: 'unionpay_miniprogram',
            rebackUrl: encodeURIComponent(callbackPath)
          });
          window.location.replace(platformUrl);
          break;

        case _platform__WEBPACK_IMPORTED_MODULE_0__.EPlatform.WEB:
          platformUrl = _onebuy_util__WEBPACK_IMPORTED_MODULE_2__.paramsUtils.append(cashdeskUrl, {
            platform: 'onebuy',
            applicationTypeCode: 'web',
            rebackUrl: encodeURIComponent(callbackPath)
          });
          window.location.replace(platformUrl);
          break;

        default:
          platformUrl = _onebuy_util__WEBPACK_IMPORTED_MODULE_2__.paramsUtils.append(cashdeskUrl, {
            platform: 'onebuy',
            applicationTypeCode: 'web',
            rebackUrl: encodeURIComponent(callbackPath)
          });
          window.location.replace(cashdeskUrl);
      }
    }
  }]);

  return Sdk;
}();

/***/ }),

/***/ "./node_modules/@onebuy/sdk/es/types.js":
/*!**********************************************!*\
  !*** ./node_modules/@onebuy/sdk/es/types.js ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "EActionType": () => (/* binding */ EActionType),
/* harmony export */   "ENativeStorage": () => (/* binding */ ENativeStorage)
/* harmony export */ });
var EActionType;

(function (EActionType) {
  EActionType["login"] = "login";
  EActionType["getDeviceInfo"] = "getDeviceInfo";
  EActionType["setStatusBarStyle"] = "setStatusBarStyle";
  EActionType["setNavigationBarStyle"] = "setNavigationBarStyle";
  EActionType["scanCode"] = "scanCode";
  EActionType["getLocation"] = "getLocation";
  EActionType["getStorage"] = "getStorage";
  EActionType["setStorage"] = "setStorage";
  EActionType["removeStorage"] = "removeStorage";
  EActionType["clearStorage"] = "clearStorage";
  EActionType["navigateTo"] = "navigateTo";
  EActionType["redirectTo"] = "redirectTo";
  EActionType["openMainPage"] = "openMainPage";
  EActionType["pushWebViewController"] = "pushWebViewController";
  EActionType["navigateBack"] = "navigateBack";
  EActionType["clearOtherNavigate"] = "clearOtherNavigate";
  EActionType["onShow"] = "onShow";
  EActionType["uppv2Pay"] = "uppv2Pay";
  EActionType["onebuyPay"] = "onebuyPay";
})(EActionType || (EActionType = {}));

var ENativeStorage;

(function (ENativeStorage) {
  ENativeStorage["subAppInfo"] = "subAppInfo";
})(ENativeStorage || (ENativeStorage = {}));

/***/ }),

/***/ "./node_modules/@onebuy/util/es/index.js":
/*!***********************************************!*\
  !*** ./node_modules/@onebuy/util/es/index.js ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "StorageService": () => (/* reexport safe */ _storage__WEBPACK_IMPORTED_MODULE_0__.StorageService),
/* harmony export */   "paramsUtils": () => (/* reexport safe */ _params_utils__WEBPACK_IMPORTED_MODULE_1__.paramsUtils)
/* harmony export */ });
/* harmony import */ var _storage__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./storage */ "./node_modules/@onebuy/util/es/storage.js");
/* harmony import */ var _params_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./params-utils */ "./node_modules/@onebuy/util/es/params-utils.js");



/***/ }),

/***/ "./node_modules/@onebuy/util/es/params-utils.js":
/*!******************************************************!*\
  !*** ./node_modules/@onebuy/util/es/params-utils.js ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "paramsUtils": () => (/* binding */ paramsUtils)
/* harmony export */ });
var paramsUtils = {
  get: function get() {
    var theurl = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : decodeURI(window.location.href);
    var theUrlcode = {};

    if (theurl.indexOf("?") != -1) {
      var string = theurl.substr(1);
      var stringx = string.split("?");
      var strings = stringx[1].split("&");

      for (var n = 0; n < strings.length; n++) {
        var arr = strings[n].split("=");
        theUrlcode[arr[0]] = unescape(arr[1]);

        if (strings[n].split("=")[2] == '' || strings[n].split("=")[2]) {
          theUrlcode[strings[n].split("=")[0]] = unescape(strings[n].split("=")[1] + '=' + strings[n].split("=")[2]);
        }
      }
    }

    return theUrlcode;
  },
  append: function append(url, params) {
    var newStr = url;

    for (var key in params) {
      if (newStr.indexOf('?') > -1) {
        newStr = "".concat(newStr, "&").concat(key, "=").concat(params[key]);
      } else {
        newStr = "".concat(newStr, "?").concat(key, "=").concat(params[key]);
      }
    }

    return newStr;
  },
  // 截取url后面的参数
  urlParames: function urlParames() {
    var theurl = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : decodeURI(window.location.hash);
    var theUrlcode = {};

    if (theurl.indexOf("?") != -1) {
      var string = theurl.substr(1);
      var stringx = string.split("?");
      var strings = stringx[1].split("&");

      for (var n = 0; n < strings.length; n++) {
        theUrlcode[strings[n].split("=")[0]] = unescape(strings[n].split("=")[1]);
      }
    }

    return theUrlcode;
  },
  // 截取微信回调后携带的参数
  wxParames: function wxParames() {
    var theRequest = {};
    var url = decodeURI(window.location.search);

    if (url.indexOf("?") != -1) {
      var str = url.substr(1);
      var strs = str.split("&");

      for (var i = 0; i < strs.length; i++) {
        theRequest[strs[i].split("=")[0]] = unescape(strs[i].split("=")[1]);
      }
    }

    return theRequest;
  }
};

/***/ }),

/***/ "./node_modules/@onebuy/util/es/storage.js":
/*!*************************************************!*\
  !*** ./node_modules/@onebuy/util/es/storage.js ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "StorageService": () => (/* binding */ StorageService)
/* harmony export */ });
function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

/**
 * 存储服务
 */
var StorageService = /*#__PURE__*/function () {
  function StorageService(options) {
    _classCallCheck(this, StorageService);

    var rootKey = options.rootKey,
        _options$type = options.type,
        type = _options$type === void 0 ? 'local' : _options$type;
    this.rootKey = rootKey;
    this.storage = {
      'local': localStorage,
      'session': sessionStorage
    }[type];
    this.sessionFlag = type === 'session' ? 'Session' : '';
    var ua = navigator.userAgent;

    if (ua.indexOf('@pyramid-kit/mobile-eco/android') !== -1) {
      this.platform = 'android';
    } else if (ua.indexOf('@pyramid-kit/mobile-eco/ios') !== -1) {
      this.platform = 'ios';
    }

    this.isApp = ['android', 'ios'].includes(this.platform);
  }
  /**
   * 获取缓存
   * @param key
   */


  _createClass(StorageService, [{
    key: "get",
    value: function get(key) {
      if (this.isApp) {
        return this.invokeNativeMethod({
          type: "get".concat(this.sessionFlag, "StorageSync"),
          payload: {
            key: key
          }
        }, true);
      }

      var json = JSON.parse(this.storage.getItem(this.rootKey) || '{}');
      return key ? json[key] : json;
    }
    /**
     * 设置缓存
     * @param key
     * @param value
     */

  }, {
    key: "set",
    value: function set(key, value) {
      var json = this.get();

      if (typeof key === 'string') {
        if (this.isApp) {
          this.invokeNativeMethod({
            type: "set".concat(this.sessionFlag, "Storage"),
            payload: {
              key: key,
              value: value
            }
          });
        } else {
          this.storage.setItem(this.rootKey, JSON.stringify(_objectSpread(_objectSpread({}, json), {}, _defineProperty({}, key, value))));
        }
      }

      return this;
    }
    /**
     * 删除单个缓存
     * @param key
     */

  }, {
    key: "remove",
    value: function remove(key) {
      if (this.isApp) {
        this.invokeNativeMethod({
          type: "remove".concat(this.sessionFlag, "Storage"),
          payload: {
            key: key
          }
        });
      } else {
        var json = this.get();
        delete json[key];
        this.storage.setItem(this.rootKey, JSON.stringify(json));
      }
    }
    /**
     * 清空缓存
     */

  }, {
    key: "clear",
    value: function clear() {
      if (this.isApp) {// 原生由于存储机制问题暂不支持 clear
        // this.invokeNativeMethod({ type: 'clearSessionStorage' });
      } else {
        this.storage.removeItem(this.rootKey);
      }
    }
  }, {
    key: "invokeNativeMethod",
    value: function invokeNativeMethod(_ref) {
      var type = _ref.type,
          payload = _ref.payload;
      var sync = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

      try {
        switch (this.platform) {
          case 'android':
            if (payload) {
              return window.android[type](_typeof(payload) === 'object' ? JSON.stringify(payload) : payload);
            } else {
              return window.android[type]();
            }

          case 'ios':
            if (sync) {
              return prompt(JSON.stringify({
                type: type,
                payload: payload
              }));
            }

            window.webkit.messageHandlers[type].postMessage(payload);
            break;
        }
      } catch (_unused) {}
    }
  }]);

  return StorageService;
}();

/***/ })

}]);
//# sourceMappingURL=vendors-node_modules_onebuy_sdk_es_index_js.ba540cb6fdc3bd6d3f34.js.map